# eric7.JediInterface.JediClient

Module implementing the Jedi client of eric7.

### Global Attributes

SuppressedException
modulePath

### Classes

JediClient | Class implementing the Jedi client of eric7.

### Functions

None

## JediClient

Class implementing the Jedi client of eric7.

### Derived from

EricJsonClient

### Class Attributes

None

### Class Methods

None

### Methods

JediClient | Constructor
__applyRefactoring | Private method to apply a refactoring.
__cancelRefactoring | Private method to cancel a refactoring.
__closeProject | Private method to save a jedi project's data.
__completionFullName | Private method to extract the full completion name.
__completionType | Private method to assemble the completion type depending on the visibility indicated by the completion name.
__extractFunction | Private method to extract an expression to a new function.
__extractParameters | Private method to extract the call parameter descriptions.
__extractVariable | Private method to extract a statement to a new variable.
__getAssignment | Private method to get the place a parameter is defined.
__getCallTips | Private method to calculate possible calltips.
__getCompletions | Private method to calculate possible completions.
__getDocumentation | Private method to get some source code documentation.
__getHoverHelp | Private method to get some source code documentation.
__getReferences | Private method to get the places a parameter is referenced.
__handleError | Private method to process an error.
__inlineVariable | Private method to inline a variable statement.
__openProject | Private method to create a jedi project and load its saved data.
__renameVariable | Private method to rename the variable under the cursor.
handleCall | Public method to handle a method call from the server.

### Static Methods

None

#### JediClient (Constructor)

JediClient(host, port, idString)

Constructor

host (str)
  ip address the background service is listening
port (int)
  port of the background service
idString (str)
  assigned client id to be sent back to the server in order to identify the connection

#### JediClient.__applyRefactoring

__applyRefactoring(params)

Private method to apply a refactoring.

params (dict)
  dictionary containing the method parameters

#### JediClient.__cancelRefactoring

__cancelRefactoring(params)

Private method to cancel a refactoring.

params (dict)
  dictionary containing the method parameters

#### JediClient.__closeProject

__closeProject(params)

Private method to save a jedi project's data.

params (dict)
  dictionary containing the method parameters

#### JediClient.__completionFullName

__completionFullName(completion)

Private method to extract the full completion name.

completion (jedi.api.classes.Completion)
  reference to the completion object

Return:
  full completion name

Return Type:
  str

#### JediClient.__completionType

__completionType(completion)

Private method to assemble the completion type depending on the visibility indicated by the completion name.

completion (jedi.api.classes.Completion)
  reference to the completion object

Return:
  modified completion type

Return Type:
  str

#### JediClient.__extractFunction

__extractFunction(params)

Private method to extract an expression to a new function.

params (dict)
  dictionary containing the method parameters

#### JediClient.__extractParameters

__extractParameters(signature)

Private method to extract the call parameter descriptions.

signature (object)
  a jedi signature object

Return:
  a string with comma seperated parameter names and default values

Return Type:
  str

#### JediClient.__extractVariable

__extractVariable(params)

Private method to extract a statement to a new variable.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getAssignment

__getAssignment(params)

Private method to get the place a parameter is defined.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getCallTips

__getCallTips(params)

Private method to calculate possible calltips.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getCompletions

__getCompletions(params)

Private method to calculate possible completions.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getDocumentation

__getDocumentation(params)

Private method to get some source code documentation.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getHoverHelp

__getHoverHelp(params)

Private method to get some source code documentation.

params (dict)
  dictionary containing the method parameters

#### JediClient.__getReferences

__getReferences(params)

Private method to get the places a parameter is referenced.

params (dict)
  dictionary containing the method parameters

#### JediClient.__handleError

__handleError(err)

Private method to process an error.

err (Exception or Warning)
  exception object

Return:
  dictionary containing the error information

Return Type:
  dict

#### JediClient.__inlineVariable

__inlineVariable(params)

Private method to inline a variable statement.

params (dict)
  dictionary containing the method parameters

#### JediClient.__openProject

__openProject(params)

Private method to create a jedi project and load its saved data.

params (dict)
  dictionary containing the method parameters

#### JediClient.__renameVariable

__renameVariable(params)

Private method to rename the variable under the cursor.

params (dict)
  dictionary containing the method parameters

#### JediClient.handleCall

handleCall(method, params)

Public method to handle a method call from the server.

method (str)
  requested method name
params (dict)
  dictionary with method specific parameters

Up